Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class DemoWorldServer

    java.lang.Object
      net.minecraft.src.World
          net.minecraft.src.WorldServer
              net.minecraft.src.DemoWorldServer

All Implemented Interfaces:
  IBlockAccess

    public class DemoWorldServer

extends WorldServer

Field Summary
`static WorldSettings` | `demoWorldSettings`

Fields inherited from class net.minecraft.src.WorldServer
`bonusChestContent, canNotSave, theChunkProviderServer`

Fields inherited from class net.minecraft.src.World
`activeChunkSet, difficultySetting, editingBlocks, findingSpawnPoint, isRemote, lightningFlash, loadedEntityList, loadedTileEntityList, mapStorage, MAX_ENTITY_RADIUS, perWorldStorage, playerEntities, provider, rand, scheduledUpdatesAreImmediate, skylightSubtracted, theProfiler, villageCollectionObj, weatherEffects`

Constructor Summary
`DemoWorldServer(MinecraftServer par1MinecraftServer, ISaveHandler par2ISaveHandler, String par3Str, int par4, Profiler par5Profiler)`

Method Summary

Methods inherited from class net.minecraft.src.WorldServer
`addBlockEvent, addWeatherEffect, areAllPlayersAsleep, canMineBlock, canMineBlockBody, flush, func_82740_a, func_82742_i, getAllTileEntityInBox, getChunkSaveLocation, getEntityByID, getEntityTracker, getEntrancePortalLocation, getMinecraftServer, getPendingBlockUpdates, getPlayerManager, newExplosion, saveAllChunks, scheduleBlockUpdate, scheduleBlockUpdateFromLoad, setEntityState, setSpawnLocation, spawnRandomCreature, tick, tickUpdates, uncheckedUpdateEntity, updateAllPlayersSleepingFlag, updateEntities, updateEntityWithOptionalForce`

Methods inherited from class net.minecraft.src.World
`addLoadedEntities, addTileEntity, addTileEntity, addWorldAccess, addWorldInfoToCrashReport, blockExists, blockHasTileEntity, calculateInitialSkylight, calculateInitialWeatherBody, calculateSkylightSubtracted, canBlockFreeze, canBlockFreezeBody, canBlockSeeTheSky, canLightningStrikeAt, canPlaceEntityOnSide, canSnowAt, canSnowAtBody, checkChunksExist, checkIfAABBIsClear, checkIfAABBIsClearExcludingEntity, checkSessionLock, countEntities, createExplosion, destroyBlockInWorldPartially, doChunksNearChunkExist, doesBlockHaveSolidTopSurface, drawClouds, drawCloudsBody, extendedLevelsInChunkCache, extinguishFire, findClosestStructure, findNearestEntityWithinAABB, func_72971_b, func_82733_a, func_82734_g, func_82735_a, func_82738_a, func_82739_e, getActualHeight, getAllCollidingBoundingBoxes, getBiomeGenForCoords, getBiomeGenForCoordsBody, getBlockDensity, getBlockId, getBlockLightOpacity, getBlockLightValue_do, getBlockLightValue, getBlockMaterial, getBlockMetadata, getBlockTileEntity, getBrightness, getCelestialAngle, getCelestialAngleRadians, getChunkFromBlockCoords, getChunkFromChunkCoords, getChunkProvider, getClosestPlayer, getClosestPlayerToEntity, getClosestVulnerablePlayer, getClosestVulnerablePlayerToEntity, getCollidingBoundingBoxes, getCurrentDate, getDebugLoadedEntities, getEntitiesWithinAABB, getEntitiesWithinAABBExcludingEntity, getEntityPathToXYZ, getFirstUncoveredBlock, getFogColor, getFullBlockLightValue, getGameRules, getHeight, getHeightValue, getHorizon, getLightBrightness, getLightBrightnessForSkyBlocks, getLoadedEntityList, getMoonPhase, getPathEntityToEntity, getPersistentChunks, getPlayerEntityByName, getPrecipitationHeight, getProviderName, getRainStrength, getSavedLightValue, getSaveHandler, getSeed, getSkyBlockTypeBrightness, getSkyColor, getSkyColorBody, getSpawnPoint, getStarBrightness, getStarBrightnessBody, getTopSolidOrLiquidBlock, getTotalWorldTime, getUniqueDataId, getWeightedThunderStrength, getWorldChunkManager, getWorldInfo, getWorldTime, getWorldVec3Pool, handleMaterialAcceleration, isAABBInMaterial, isAABBNonEmpty, isAirBlock, isAnyLiquid, isBlockFreezable, isBlockFreezableNaturally, isBlockGettingPowered, isBlockHighHumidity, isBlockIndirectlyGettingPowered, isBlockIndirectlyProvidingPowerTo, isBlockNormalCube, isBlockNormalCubeDefault, isBlockOpaqueCube, isBlockProvidingPowerTo, isBlockSolidOnSide, isBlockSolidOnSide, isBoundingBoxBurning, isDaytime, isMaterialInBB, isRaining, isThundering, joinEntityInSurroundings, loadItemData, markBlockAsNeedsUpdate, markBlockNeedsUpdate, markBlockNeedsUpdateForAll, markBlocksDirty, markBlocksDirtyVertical, markTileEntityForDespawn, notifyBlockChange, notifyBlocksOfNeighborChange, playAuxSFX, playAuxSFXAtEntity, playRecord, playSound, playSoundAtEntity, playSoundEffect, rayTraceBlocks_do_do, rayTraceBlocks_do, rayTraceBlocks, removeBlockTileEntity, removeEntity, removeWorldAccess, sendQuittingDisconnectingPacket, setAllowedSpawnTypes, setBlock, setBlockAndMetadata, setBlockAndMetadataWithNotify, setBlockAndMetadataWithUpdate, setBlockMetadata, setBlockMetadataWithNotify, setBlockTileEntity, setBlockWithNotify, setEntityDead, setItemData, setLightValue, setRainStrength, setRandomSeed, setSpawnLocation, setWorldTime, spawnEntityInWorld, spawnParticle, toggleRain, unloadEntities, updateAllLightTypes, updateEntity, updateLightByType, updateTileEntityChunkAndDoNothing, updateWeatherBody`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### demoWorldSettings

    public static final WorldSettings demoWorldSettings

Constructor Detail

### DemoWorldServer

    public DemoWorldServer(MinecraftServer par1MinecraftServer,
                           ISaveHandler par2ISaveHandler,
                           String par3Str,
                           int par4,
                           Profiler par5Profiler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD